Loading...
Searching...
No Matches
TestUnit.idl
/* SPDX-License-Identifier: BSD-3-Clause */
/*
* Copyright 2012 Raritan Inc. All rights reserved.
*/
#ifndef __PDU_TEST_UNIT_IDL__
#define __PDU_TEST_UNIT_IDL__
#include <TestDisplay.idl>
/**
* Test Interfaces
*/
module test {
/** Test interface for PDU components controlled by topofw */
interface Unit {
/**
* Retrieve all Displays attached to the unit.
*
* @return List of displays
*/
vector<Display> getDisplays();
/**
* Retrieve state of all buttons attached to the unit.
*
* Note that semantics of the buttons is not defined
* by this interface, although it is garanteed that the
* order in which states are returned will not change.
*
* @return List of button states (\c true if pressed)
*/
vector<boolean> getButtonStates();
/**
* Force on the buzzer.
*
* @param isOn \c true to force buzzer on, \c false for normal mode
*/
void setBuzzer(in boolean isOn);
/**
* Reset all sub controllers via RS485 break condition
*/
void resetAllSubControllers();
/**
* Trigger watchdog of a selected sub controller
*
* @param rs485Addr RS485 address of the sub controller to trigger
* the watchdog for.
*/
void triggerSubControllerWatchdog(in int rs485Addr);
};
}
#endif
test::Unit
Test interface for PDU components controlled by topofw.
Definition TestUnit.idl:17
test::Unit::getDisplays
vector< Display > getDisplays()
Retrieve all Displays attached to the unit.
test::Unit::getButtonStates
vector< boolean > getButtonStates()
Retrieve state of all buttons attached to the unit.
test::Unit::resetAllSubControllers
void resetAllSubControllers()
Reset all sub controllers via RS485 break condition.
test::Unit::setBuzzer
void setBuzzer(in boolean isOn)
Force on the buzzer.
test::Unit::triggerSubControllerWatchdog
void triggerSubControllerWatchdog(in int rs485Addr)
Trigger watchdog of a selected sub controller.
test
Test Interfaces.
Definition TestDisplay.idl:12